How to install the old version of the illustrator? Help me

Community Beginner ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

How to install the old version of the illustrator? in the installer the oldest version is 25.4.1 and I need even older

screen 2021-12-20 в 00.10.22.jpg

TOPICS
Bug , Third party plugins

Views

103

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

That is the oldest version available via the CC app.

If you need an older version for some reason, you can ask Adobe support directly and see if they can supply you with the specific version you need.

 

https://helpx.adobe.com/contact.html?rghtup=autoOpen

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

Use the Adobe Cloud app and click on the 3 dots othere verions.

 

MikeGondek_0-1639945879843.png

 

If other very old versions are bto available. You should run an old app with a new OS they are ntp fuly compatible.

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

Many thanks! but how do I install the old Creative Cloud installer? it is also constantly updated

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

quote

I need even older

 

Which version do you need exactly? Some older versions are available from other sources but it depends on exactly which version you're after.

 

Is it because of your operating system or some other reason?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Dec 19, 2021 Dec 19, 2021

Copy link to clipboard

Copied

Thank you so much! I need the previous version, 25.4.0 or 25.0.
I accidentally updated and the plugins stopped working, but I don’t know when they are updated

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 20, 2021 Dec 20, 2021

Copy link to clipboard

Copied

You need to contact support. There is no way to access those versions via the CC app.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Jan 07, 2022 Jan 07, 2022

Copy link to clipboard

Copied

LATEST

Hi there,

 

Thanks for reaching out. I hope you got the older version by now. If not, you may try the suggestions shared on this community post (https://community.adobe.com/t5/download-install-discussions/install-older-version-of-illustrator/td-...).

 

Kindly update the discussion if you still need assistance with it. We'd be happy to help.

 

Thanks & Regards,

Anshul Saini

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines